> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/modeldiff.md).

# Model Difference

Comparison of two outputs with different models

[Zingg Enterprise Feature](#user-content-fn-1)[^1]

Coming Soon!

Let us take the case where we have an existing model where we have marked some fields as fuzzy and we then build a model and look at its match output. Now, we train another model where we've marked some of these attributes as exact or maybe added more match types or even change some field types, etc.

We want to understand how those changes are translating into either a better or worse model. Also, what other changes that we could make to get the model to the kind of accuracy that we are looking for.

Comparison of the two outputs becomes important in such a case and understanding which model is working better for us.

### The model difference phase is run as follows:

`./scripts/zingg.sh --phase diff --conf <path to new model conf> --compareTo <path to original conf>`

The output generated contains records that have been impacted due to changes in clusters as a result of the new model

`zingg_modelDiff_originalModelId_newModelId` in case of snowflake `zinggDir/newModelId/modeldiff/originalModelId_newModelId` in case of spark

[^1]: Zingg Enterprise is the suite of proprietary products licensed by Zingg. Please refer to <https://www.zingg.ai/product/zingg-entity-resolution-compare-versions> for individual tier features.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/modeldiff.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
